Get a book
curl --request GET \
--url https://api.riskportal.activeviam.com/api/Books/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/Books/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/Books/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Books/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Books/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/Books/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Books/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"number_of_parent_portfolios": 6,
"access_type_id": "not_set",
"entitled_users": [
{
"access_created_by": "access_created_by",
"access_modified_by": "access_modified_by",
"status_description": "status_description",
"access_created_date": "2000-01-23T04:56:07.000+00:00",
"access_user_first_name": "access_user_first_name",
"status_name": "status_name",
"access_type_name": "access_type_name",
"description": "description",
"access_user_full_name": "access_user_full_name",
"number_of_parent_portfolios": 3,
"access_type_id": "not_set",
"access_user_email": "access_user_email",
"status_id": "not_set",
"name": "name",
"access_modified_date": "2000-01-23T04:56:07.000+00:00",
"access_type_description": "access_type_description",
"id": 9,
"access_user_id": "access_user_id",
"access_user_name": "access_user_name",
"access_user_last_name": "access_user_last_name",
"access_version": 7
},
{
"access_created_by": "access_created_by",
"access_modified_by": "access_modified_by",
"status_description": "status_description",
"access_created_date": "2000-01-23T04:56:07.000+00:00",
"access_user_first_name": "access_user_first_name",
"status_name": "status_name",
"access_type_name": "access_type_name",
"description": "description",
"access_user_full_name": "access_user_full_name",
"number_of_parent_portfolios": 3,
"access_type_id": "not_set",
"access_user_email": "access_user_email",
"status_id": "not_set",
"name": "name",
"access_modified_date": "2000-01-23T04:56:07.000+00:00",
"access_type_description": "access_type_description",
"id": 9,
"access_user_id": "access_user_id",
"access_user_name": "access_user_name",
"access_user_last_name": "access_user_last_name",
"access_version": 7
}
],
"name": "name",
"description": "description",
"parent_portfolios": [
{
"number_of_parent_portfolios": 2,
"access_type_id": "not_set",
"number_of_child_portfolios": 5,
"is_disabled": true,
"name": "name",
"description": "description",
"is_checked": true,
"id": 1,
"portfolio_type": "derivitec",
"number_of_books": 5,
"status": "not_set"
},
{
"number_of_parent_portfolios": 2,
"access_type_id": "not_set",
"number_of_child_portfolios": 5,
"is_disabled": true,
"name": "name",
"description": "description",
"is_checked": true,
"id": 1,
"portfolio_type": "derivitec",
"number_of_books": 5,
"status": "not_set"
}
],
"id": 0,
"status": "not_set"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get a book
GET
/
api
/
Books
/
{id}
Get a book
curl --request GET \
--url https://api.riskportal.activeviam.com/api/Books/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/Books/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/Books/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Books/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Books/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/Books/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Books/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"number_of_parent_portfolios": 6,
"access_type_id": "not_set",
"entitled_users": [
{
"access_created_by": "access_created_by",
"access_modified_by": "access_modified_by",
"status_description": "status_description",
"access_created_date": "2000-01-23T04:56:07.000+00:00",
"access_user_first_name": "access_user_first_name",
"status_name": "status_name",
"access_type_name": "access_type_name",
"description": "description",
"access_user_full_name": "access_user_full_name",
"number_of_parent_portfolios": 3,
"access_type_id": "not_set",
"access_user_email": "access_user_email",
"status_id": "not_set",
"name": "name",
"access_modified_date": "2000-01-23T04:56:07.000+00:00",
"access_type_description": "access_type_description",
"id": 9,
"access_user_id": "access_user_id",
"access_user_name": "access_user_name",
"access_user_last_name": "access_user_last_name",
"access_version": 7
},
{
"access_created_by": "access_created_by",
"access_modified_by": "access_modified_by",
"status_description": "status_description",
"access_created_date": "2000-01-23T04:56:07.000+00:00",
"access_user_first_name": "access_user_first_name",
"status_name": "status_name",
"access_type_name": "access_type_name",
"description": "description",
"access_user_full_name": "access_user_full_name",
"number_of_parent_portfolios": 3,
"access_type_id": "not_set",
"access_user_email": "access_user_email",
"status_id": "not_set",
"name": "name",
"access_modified_date": "2000-01-23T04:56:07.000+00:00",
"access_type_description": "access_type_description",
"id": 9,
"access_user_id": "access_user_id",
"access_user_name": "access_user_name",
"access_user_last_name": "access_user_last_name",
"access_version": 7
}
],
"name": "name",
"description": "description",
"parent_portfolios": [
{
"number_of_parent_portfolios": 2,
"access_type_id": "not_set",
"number_of_child_portfolios": 5,
"is_disabled": true,
"name": "name",
"description": "description",
"is_checked": true,
"id": 1,
"portfolio_type": "derivitec",
"number_of_books": 5,
"status": "not_set"
},
{
"number_of_parent_portfolios": 2,
"access_type_id": "not_set",
"number_of_child_portfolios": 5,
"is_disabled": true,
"name": "name",
"description": "description",
"is_checked": true,
"id": 1,
"portfolio_type": "derivitec",
"number_of_books": 5,
"status": "not_set"
}
],
"id": 0,
"status": "not_set"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Path Parameters
The book ID
Response
Success
Required string length:
5 - 255Required string length:
3 - 100Available options:
not_set, active, inactive Available options:
Derivitec.Web.Models.Book.BookViewModel, Derivitec.Web.Models Available options:
not_set, view, edit, owner Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?